Bug 179768 - [PATCH] databases/mtop: add missing RUN_DEPENDS
Summary: [PATCH] databases/mtop: add missing RUN_DEPENDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-20 13:50 UTC by Frank Wall
Modified: 2013-07-31 23:30 UTC (History)
0 users

See Also:


Attachments
file.diff (586 bytes, patch)
2013-06-20 13:50 UTC, Frank Wall
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Wall 2013-06-20 13:50:01 UTC
the port databases/mtop does not spefiy RUN_DEPENDS, although it requires some perl modules to run:

$ mtop
Can't locate Curses.pm in @INC (@INC contains: /usr/local/lib/perl5/5.14.2/BSDPAN /usr/local/lib/perl5/site_perl/5.14.2/mach /usr/local/lib/perl5/site_perl/5.14.2 /usr/local/lib/perl5/5.14.2/mach /usr/local/lib/perl5/5.14.2 .) at /usr/local/bin/mtop line 414.
BEGIN failed--compilation aborted at /usr/local/bin/mtop line 414.


Trim headers while here.

Fix: apply the patch

Patch attached with submission follows:
How-To-Repeat: try to tun "mtop" without having the BUILD_DEPENDS installed
Comment 1 Edwin Groothuis freebsd_committer 2013-06-20 13:50:21 UTC
Maintainer of databases/mtop,

Please note that PR ports/179768 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179768

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-06-20 13:50:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 William Grzybowski freebsd_committer 2013-07-31 23:11:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-07-31 23:22:54 UTC
Author: wg
Date: Wed Jul 31 22:22:46 2013
New Revision: 324068
URL: http://svnweb.freebsd.org/changeset/ports/324068

Log:
  databases/mtop: fix RUN_DEPENDS
  
  - Trim Makefile header [1]
  - BUILD_DEPENDS -> RUN_DEPENDS
  
  PR:		ports/179768 [1]
  Submitted by:	Frank Wall <fw moov.de>
  Approved by:	maintainer (timeout)

Modified:
  head/databases/mtop/Makefile

Modified: head/databases/mtop/Makefile
==============================================================================
--- head/databases/mtop/Makefile	Wed Jul 31 22:17:27 2013	(r324067)
+++ head/databases/mtop/Makefile	Wed Jul 31 22:22:46 2013	(r324068)
@@ -1,21 +1,16 @@
-# ex:ts=8
-# Ports collection makefile for:	mtop
-# Date created:			Dec 17, 2003
-# Whom:	      			ijliao
-#
+# Created by: ijliao
 # $FreeBSD$
-#
 
 PORTNAME=	mtop
 PORTVERSION=	0.6.6
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	databases
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/v${PORTVERSION}
 
 MAINTAINER=	tut@nhamon.com.ua
 COMMENT=	MySQL Monitoring Tool
 
-BUILD_DEPENDS=	p5-Curses>=0:${PORTSDIR}/devel/p5-Curses \
+RUN_DEPENDS=	p5-Curses>=0:${PORTSDIR}/devel/p5-Curses \
 		p5-DBD-mysql>=0:${PORTSDIR}/databases/p5-DBD-mysql \
 		p5-Net>=0:${PORTSDIR}/net/p5-Net
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 William Grzybowski freebsd_committer 2013-07-31 23:23:05 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!